<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="32700.99.1234" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="22684"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="AV_AddWaterVC" customModule="anniversary_Project" customModuleProvider="target">
            <connections>
                <outlet property="bgView" destination="7h1-fX-ucn" id="GBW-D8-m6Z"/>
                <outlet property="collectionView" destination="DDe-Qa-xVJ" id="nxh-3O-4xl"/>
                <outlet property="cupuView" destination="McB-2w-dyK" id="MUf-hF-LnL"/>
                <outlet property="mcView" destination="Ncp-Ti-35C" id="ZIz-nZ-pl4"/>
                <outlet property="mlTextf" destination="TS0-Eu-3La" id="o3H-tg-Maa"/>
                <outlet property="sureBtn" destination="Crf-wT-L0d" id="gyf-yo-7NJ"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
                <outlet property="waterImageV" destination="EQH-LP-gGh" id="ghS-q9-iwG"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="1-1" translatesAutoresizingMaskIntoConstraints="NO" id="EQH-LP-gGh">
                    <rect key="frame" x="147" y="128" width="120" height="120"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="120" id="9VO-Se-BMR"/>
                        <constraint firstAttribute="width" constant="120" id="jX9-VL-mCR"/>
                    </constraints>
                </imageView>
                <collectionView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" showsHorizontalScrollIndicator="NO" showsVerticalScrollIndicator="NO" dataMode="none" translatesAutoresizingMaskIntoConstraints="NO" id="DDe-Qa-xVJ">
                    <rect key="frame" x="0.0" y="268" width="414" height="114"/>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="114" id="ltW-Pb-fLw"/>
                    </constraints>
                    <collectionViewFlowLayout key="collectionViewLayout" minimumLineSpacing="10" minimumInteritemSpacing="10" id="H8Y-Or-yGj">
                        <size key="itemSize" width="128" height="128"/>
                        <size key="headerReferenceSize" width="0.0" height="0.0"/>
                        <size key="footerReferenceSize" width="0.0" height="0.0"/>
                        <inset key="sectionInset" minX="0.0" minY="0.0" maxX="0.0" maxY="0.0"/>
                    </collectionViewFlowLayout>
                </collectionView>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="McB-2w-dyK">
                    <rect key="frame" x="10" y="502" width="394" height="50"/>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="50" id="kgN-je-ufs"/>
                    </constraints>
                </view>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="5o4-Os-MIh">
                    <rect key="frame" x="159" y="612" width="96" height="68"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" image="addwaterBlack"/>
                    <connections>
                        <action selector="addml:" destination="-1" eventType="touchUpInside" id="rI7-uN-W4P"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Fk0-O8-xgB">
                    <rect key="frame" x="295" y="627" width="38" height="38"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" image="keyboard"/>
                    <connections>
                        <action selector="keyBoard:" destination="-1" eventType="touchUpInside" id="eng-s6-sDQ"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="BWG-kK-2Ol">
                    <rect key="frame" x="20" y="48" width="38" height="38"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" image="back"/>
                    <connections>
                        <action selector="back:" destination="-1" eventType="touchUpInside" id="Ylv-63-Ja7"/>
                    </connections>
                </button>
                <view alpha="0.29999999999999999" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Ncp-Ti-35C">
                    <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                    <color key="backgroundColor" systemColor="viewFlipsideBackgroundColor"/>
                </view>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="7h1-fX-ucn">
                    <rect key="frame" x="0.0" y="352" width="414" height="510"/>
                    <subviews>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="I9e-om-4GJ">
                            <rect key="frame" x="359" y="21" width="34" height="34"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" image="delete_add"/>
                            <connections>
                                <action selector="deleteBtn:" destination="-1" eventType="touchUpInside" id="cnF-ha-rnZ"/>
                            </connections>
                        </button>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="ML" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="pxk-J9-12U">
                            <rect key="frame" x="214" y="26" width="46" height="39"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="39" id="QIK-Vb-wBZ"/>
                                <constraint firstAttribute="width" constant="46" id="x4Q-Uy-L6b"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="32"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="0" textAlignment="right" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="TS0-Eu-3La">
                            <rect key="frame" x="20" y="23.5" width="184" height="44"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="44" id="NQ2-el-Pg0"/>
                            </constraints>
                            <color key="textColor" red="0.38304901120000001" green="0.74950474499999997" blue="0.99998301270000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="32"/>
                            <textInputTraits key="textInputTraits" keyboardType="numberPad"/>
                        </textField>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Crf-wT-L0d">
                            <rect key="frame" x="132" y="113" width="150" height="50"/>
                            <color key="backgroundColor" red="0.14344075319999999" green="0.19137361650000001" blue="0.2551697195" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="150" id="HBs-1b-juK"/>
                                <constraint firstAttribute="height" constant="50" id="ysL-tx-X9J"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" weight="semibold" pointSize="20"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" title="Custom">
                                <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            </state>
                            <connections>
                                <action selector="sureBtn:" destination="-1" eventType="touchUpInside" id="EwB-Rq-dkg"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="pxk-J9-12U" firstAttribute="leading" secondItem="TS0-Eu-3La" secondAttribute="trailing" constant="10" id="4dd-E3-euS"/>
                        <constraint firstItem="Crf-wT-L0d" firstAttribute="top" secondItem="pxk-J9-12U" secondAttribute="bottom" constant="48" id="EPS-rd-KdZ"/>
                        <constraint firstAttribute="trailing" secondItem="I9e-om-4GJ" secondAttribute="trailing" constant="21" id="JKG-qp-wzZ"/>
                        <constraint firstItem="I9e-om-4GJ" firstAttribute="top" secondItem="7h1-fX-ucn" secondAttribute="top" constant="21" id="V9A-Nj-j5g"/>
                        <constraint firstItem="Crf-wT-L0d" firstAttribute="centerX" secondItem="7h1-fX-ucn" secondAttribute="centerX" id="c3U-1P-CB7"/>
                        <constraint firstItem="pxk-J9-12U" firstAttribute="centerX" secondItem="7h1-fX-ucn" secondAttribute="centerX" constant="30" id="cXZ-FJ-b72"/>
                        <constraint firstItem="TS0-Eu-3La" firstAttribute="centerY" secondItem="pxk-J9-12U" secondAttribute="centerY" id="k5g-wO-1Cf"/>
                        <constraint firstItem="TS0-Eu-3La" firstAttribute="leading" secondItem="7h1-fX-ucn" secondAttribute="leading" constant="20" id="mfc-N8-K85"/>
                        <constraint firstItem="pxk-J9-12U" firstAttribute="top" secondItem="7h1-fX-ucn" secondAttribute="top" constant="26" id="us4-da-TvD"/>
                    </constraints>
                </view>
            </subviews>
            <viewLayoutGuide key="safeArea" id="fnl-2z-Ty3"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="Fk0-O8-xgB" firstAttribute="leading" secondItem="5o4-Os-MIh" secondAttribute="trailing" constant="40" id="5vu-kj-ePL"/>
                <constraint firstItem="BWG-kK-2Ol" firstAttribute="top" secondItem="fnl-2z-Ty3" secondAttribute="top" id="VHo-fI-gqW"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="DDe-Qa-xVJ" secondAttribute="trailing" id="WQ4-Rm-kDY"/>
                <constraint firstAttribute="bottom" secondItem="Ncp-Ti-35C" secondAttribute="bottom" id="ZMa-7I-ixg"/>
                <constraint firstItem="7h1-fX-ucn" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" id="Zfg-ua-V2W"/>
                <constraint firstItem="EQH-LP-gGh" firstAttribute="top" secondItem="fnl-2z-Ty3" secondAttribute="top" constant="80" id="c21-p6-XHZ"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="McB-2w-dyK" secondAttribute="trailing" constant="10" id="ekK-qr-OLu"/>
                <constraint firstItem="McB-2w-dyK" firstAttribute="top" secondItem="DDe-Qa-xVJ" secondAttribute="bottom" constant="120" id="gMd-sd-6xo"/>
                <constraint firstItem="Ncp-Ti-35C" firstAttribute="top" secondItem="i5M-Pr-FkT" secondAttribute="top" id="hFY-aF-7QU"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="7h1-fX-ucn" secondAttribute="trailing" id="iVf-n6-NzG"/>
                <constraint firstItem="EQH-LP-gGh" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="j1h-UR-BiI"/>
                <constraint firstItem="McB-2w-dyK" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="10" id="kGB-hF-ayk"/>
                <constraint firstItem="5o4-Os-MIh" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="ksD-lc-22T"/>
                <constraint firstItem="7h1-fX-ucn" firstAttribute="top" secondItem="McB-2w-dyK" secondAttribute="bottom" constant="-200" id="nJR-6J-KSk"/>
                <constraint firstAttribute="trailing" secondItem="Ncp-Ti-35C" secondAttribute="trailing" id="qVL-Ms-2Em"/>
                <constraint firstItem="Ncp-Ti-35C" firstAttribute="leading" secondItem="i5M-Pr-FkT" secondAttribute="leading" id="skG-k7-VXc"/>
                <constraint firstItem="5o4-Os-MIh" firstAttribute="top" secondItem="McB-2w-dyK" secondAttribute="bottom" constant="60" id="v6m-oc-mzS"/>
                <constraint firstItem="DDe-Qa-xVJ" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" id="vP1-ZZ-MfF"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="bottom" secondItem="7h1-fX-ucn" secondAttribute="bottom" id="vkb-Q2-Fuw"/>
                <constraint firstItem="DDe-Qa-xVJ" firstAttribute="top" secondItem="EQH-LP-gGh" secondAttribute="bottom" constant="20" id="xRL-cd-mRw"/>
                <constraint firstItem="Fk0-O8-xgB" firstAttribute="centerY" secondItem="5o4-Os-MIh" secondAttribute="centerY" id="xpy-0M-wGm"/>
                <constraint firstItem="BWG-kK-2Ol" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="20" id="xrG-TP-l8Z"/>
            </constraints>
            <point key="canvasLocation" x="21.739130434782609" y="-12.053571428571429"/>
        </view>
    </objects>
    <resources>
        <image name="1-1" width="120" height="120"/>
        <image name="addwaterBlack" width="96" height="68"/>
        <image name="back" width="38" height="38"/>
        <image name="delete_add" width="34" height="34"/>
        <image name="keyboard" width="38" height="38"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="viewFlipsideBackgroundColor">
            <color red="0.12156862745098039" green="0.12941176470588237" blue="0.14117647058823529" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
